﻿using Dynamicweb.Extensibility.Notifications;
using Dynamicweb.Ecommerce.LiveIntegration.Notifications;

namespace Dynamicweb.Ecommerce.LiveIntegration.Examples.Notifications
{
    /// <summary>
    /// Class OrderLineBeforeGenerateXmlSubscriber.
    /// </summary>
    /// <seealso cref="NotificationSubscriber" />
    [Subscribe(OrderLine.OnBeforeGenerateOrderLineXml)]
    public class OrderLineBeforeGenerateXmlSubscriber : NotificationSubscriber
    {
        /// <summary>
        /// Call to invoke observer.
        /// </summary>
        /// <param name="notification">The notification.</param>
        /// <param name="args">The args.</param>
        public override void OnNotify(string notification, NotificationArgs args)
        {
            var myArgs = (OrderLine.OnBeforeGenerateOrderLineXmlArgs)args;

            // TODO: Add code here
            if (myArgs?.OrderLine != null)
            {

            }
        }
    }
}
